### Function

# EDataBook DataBookCursorLoadLocaleFunc

since: 3.12

#### Declaration

    gboolean
    (* EDataBookCursorLoadLocaleFunc) (
      EDataBookCursor* cursor,
      gchar** locale,
      GError** error
    )

#### Description [src]

Method type for `EDataBookCursorClass`.load_locale()

Fetches the locale setting from `cursor`‘s addressbook

If the locale setting has changed, the cursor must reload any internal locale specific data and ensure that comparisons of sort keys will function properly in the new locale.

Upon locale changes, the implementation need not worry about updating it’s current cursor state, the cursor state will be reset automatically for you.

Available since: 3.12

#### Parameters

`cursor`

  Type: `EDataBookCursor`

  An `EDataBookCursor`.

  The data is owned by the caller of the function.

`locale`

  Type: `gchar**`

  Return location to store the newly loaded locale.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on Success, otherwise `FALSE` is returned if any error occurred and `error` is set to reflect the error which occurred.